%global _legacy_common_support 1
Name:		hping3
Version:	20051105
Release:	%mkrel 9
Summary:	TCP/IP packet assembler/analyzer
License:	GPLv2
Group:		Monitoring
URL:		http://www.hping.org/
Source0:	http://www.hping.org/hping3-%{version}.tar.gz
Patch0: hping3-include.patch
Patch1: hping3-bytesex.patch
Patch2: hping3-getifnamedebug.patch
Patch3: hping3-cflags.patch
Patch4: hping3-man.patch
Patch5: hping3-20051105-typo.patch
BuildRequires:  pcap-devel
BuildRequires:  pkgconfig(tcl)
Obsoletes:  hping2

%description
hping is a command-line oriented TCP/IP packet assembler/analyzer. The
interface is very similar to the ping(8) unix command, with many extensions.
It supports TCP, UDP, ICMP and RAW-IP protocols. A scripting language is under
developing.

%prep
%setup -q
%patch0 -p0 -b .include
%patch1 -p0 -b .bytesex
%patch2 -p1 -b .getifnamedebug
%patch3 -p0 -b .cflags
%patch4 -p0 -b .man
%patch5 -p1

%build
%configure
%make_build

%install
install -d 755 %{buildroot}%{_sbindir}

install -m 755 hping3 %{buildroot}%{_sbindir}

pushd %{buildroot}%{_sbindir}
ln -sf hping3 hping
ln -sf hping3 hping2
popd

install -d 755 %{buildroot}%{_mandir}/man8
install -m 644 docs/hping3.8 %{buildroot}%{_mandir}/man8

%files
%doc BUGS CHANGES COPYING INSTALL KNOWN-BUGS TODO
%{_sbindir}/hping
%{_sbindir}/hping2
%{_sbindir}/hping3
%{_mandir}/man8/hping3.8.*


%changelog
* Fri Aug 21 2020 joequant <joequant> 20051105-9.mga8
+ Revision: 1617514
- fix gcc10 build

* Thu Feb 13 2020 umeabot <umeabot> 20051105-8.mga8
+ Revision: 1513497
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 20051105-7.mga7
+ Revision: 1298207
- Mageia 7 Mass Rebuild

* Thu Jun 21 2018 wally <wally> 20051105-6.mga7
+ Revision: 1238576
- update bytesex patch to fix build on aarch64

* Thu Feb 11 2016 umeabot <umeabot> 20051105-5.mga6
+ Revision: 954331
- Mageia 6 Mass Rebuild

* Mon Oct 05 2015 daviddavid <daviddavid> 20051105-4.mga6
+ Revision: 886343
- rebuild for new tcl 8.6.4

* Wed Oct 15 2014 umeabot <umeabot> 20051105-3.mga5
+ Revision: 740386
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20051105-2.mga5
+ Revision: 680168
- Mageia 5 Mass Rebuild

* Thu Mar 27 2014 guillomovitch <guillomovitch> 20051105-1.mga5
+ Revision: 608947
- imported package hping3

